using System;
using System.Text.Json.Serialization;
namespace org.accordproject.obligation {
   using org.accordproject.runtime;
   using org.accordproject.money;
   using concerto;
   class PaymentObligation : Obligation {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.obligation.PaymentObligation";
      public MonetaryAmount amount { get; set; }
      public string description { get; set; }
   }
   class NotificationObligation : Obligation {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.obligation.NotificationObligation";
      public string title { get; set; }
      public string message { get; set; }
   }
}
